﻿using Avalonia.Data.Converters;
using System;
using System.Globalization;

namespace avalonia_with_entity.Converters
{
    internal class DateConverter : IValueConverter
    {
        public object? Convert(object? value, Type targetType, object? parameter, CultureInfo culture)
        {
            if (value is DateTime)
            {
                return new DateTimeOffset((DateTime)value, TimeSpan.Zero);
            }
            return null;
        }

        public object? ConvertBack(object? value, Type targetType, object? parameter, CultureInfo culture)
        {
            if (value is DateTimeOffset convDate)
            {
                return new DateTime(convDate.Year, convDate.Month, convDate.Day);
            }
            return null;
        }
    }
}
