﻿using avalonia_with_entity.Models;
using ReactiveUI;
using System.Threading.Tasks;

namespace avalonia_with_entity.ViewModels
{
    internal class AddCourseViewModel : ViewModelBase
    {
        //для сохранения контекста учителя
        private Teacher? _teacher;
        private bool _isCreateTeacher;
        private Course _course = new Course()
        {
            Course1 = "",
            Hour = 1
        };

        public Course Course
        {
            get => _course;
            set => this.RaiseAndSetIfChanged(ref _course, value);
        }

        public AddCourseViewModel()
        {

        }

        public AddCourseViewModel(Teacher currentTeacher, bool isCreateTeacher = false)
        {
            _teacher = currentTeacher;
            _isCreateTeacher = isCreateTeacher;
        }

        public async Task BackToAddTeacher()
        {
            bool queshion = await MainWindowViewModel.CusmoMSB("Вы хотите отменить создание курса?");

            if (queshion)
            {
                MainWindowViewModel.Instance.Page = new AddTeacher(_teacher, _isCreateTeacher);
            }
        }

        public async Task AddCourse()
        {
            if (CheckCourseFields())
            {
                await MainWindowViewModel.CusmoMSBforApprove("Курс был добавлен");

                MainWindowViewModel.database.Courses.Add(Course);
                MainWindowViewModel.database.SaveChanges();

                MainWindowViewModel.Instance.Page = new AddTeacher(_teacher, _isCreateTeacher);
            }
            else
            {
                await MainWindowViewModel.CusmoMSBforApprove("Не возможно сохранить изменения!\nНе полные данные!");
            }

        }

        private bool CheckCourseFields()
        {
            if (string.IsNullOrEmpty(Course.Course1)) return false;

            return true;
        }
    }
}
