﻿using Avalonia.Controls;
using avalonia_with_entity.Models;
using MsBox.Avalonia;
using ReactiveUI;
using System.Threading.Tasks;
using MsBox.Avalonia.Enums;

namespace avalonia_with_entity.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
        public static _43pChernovContext database = new _43pChernovContext();
        public static MainWindowViewModel Instance;

        public MainWindowViewModel()
        {
            Instance = this;
        }

        private UserControl _page = new ShowTeachers();

        public UserControl Page
        {
            get => _page;
            set => this.RaiseAndSetIfChanged(ref _page, value);
        }

        public static async Task<bool> CusmoMSB(string message)
        {
            var box = MessageBoxManager
                 .GetMessageBoxStandard(
                     "",
                     message,
                     ButtonEnum.YesNo
                 );

            var res = await box.ShowAsync();

            switch (res)
            {
                case ButtonResult.Yes:
                    return true;
                case ButtonResult.No:
                    return false;
                default:
                    return false;
            }
        }

        public static async Task CusmoMSBforApprove(string message)
        {
            var box = MessageBoxManager
                 .GetMessageBoxStandard(
                     "",
                     message,
                     ButtonEnum.Ok
                 );

            await box.ShowAsync();
        }
    }
}
