using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using avalonia_with_entity.Models;
using Microsoft.EntityFrameworkCore;

namespace avalonia_with_entity.ViewModels
{
    public class ShowTeachersViewModel : ViewModelBase
    {
        public List<Teacher> Teachers => MainWindowViewModel.database.Teachers
            .Include(gen => gen.Gender)
            .Include(course => course.TeacherCourses)
            .ThenInclude(course => course.CourseNavigation)
            .Include(lesson => lesson.TeacherLessons)
            .ThenInclude(lesson => lesson.LessonNavigation)
            .ToList();



        public async Task DeleteTeacher(Teacher teacherWasDelete)
        {
            bool queshion = await MainWindowViewModel.CusmoMSB("    ?");

            if (queshion)
            {
                MainWindowViewModel.database.Teachers.Remove(teacherWasDelete);
                MainWindowViewModel.database.SaveChanges();
                MainWindowViewModel.Instance.Page = new ShowTeachers();

                MainWindowViewModel.CusmoMSBforApprove("  !");
            }
        }

        public void GoToAddTeacher()
        {
            MainWindowViewModel.Instance.Page = new AddTeacher();
        }

        public void GoToUpdateTeacher(Teacher teacherWasUpdate)
        {
            MainWindowViewModel.Instance.Page = new AddTeacher(teacherWasUpdate);
        }
    }
}